Bug 33308 - tee seg fault at 2 GB when using dd to create image file
Summary: tee seg fault at 2 GB when using dd to create image file
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sh-utils   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-27 00:03 UTC by bcling
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-24 23:00:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description bcling 2001-03-27 00:03:45 UTC
tee doesn't appear to go past 2 GB 

Reproducible: Didn't try
Steps to Reproduce:
1. dd if=/dev/sda | tee /dev/sdb | tee sda.img
2. sda.img stops when size reaches 2,147,483,647

Adaptec 29160
9.1 GB drives
(sdb continued copying after sda.img stopped growing).

Comment 1 bcling 2001-09-14 16:37:24 UTC
Is there a reason why --disable-largefile is in the SPEC file for sh-utils?  I
took it out and it appears to work now.  Any comments would be appreciated ;-)

Comment 2 Bernhard Rosenkraenzer 2002-08-29 20:24:04 UTC
This was fixed in 2.0.11-10


Note You need to log in before you can comment on or make changes to this bug.